unit f_demo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, ExtCtrls, DBTableFilter, StdCtrls, Grids, DBGrids, Buttons;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DBTableFilter2: TDBTableFilter;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    btApplyFilter: TButton;
    Label1: TLabel;
    lbFilter: TLabel;
    Label3: TLabel;
    lbDesc: TLabel;
    DataSource1: TDataSource;
    Table1CustNo: TFloatField;
    Table1Company: TStringField;
    Table1Addr1: TStringField;
    Table1Addr2: TStringField;
    Table1City: TStringField;
    Table1State: TStringField;
    Table1Zip: TStringField;
    Table1Country: TStringField;
    Table1Phone: TStringField;
    Table1FAX: TStringField;
    Table1TaxRate: TFloatField;
    Table1Contact: TStringField;
    Table1LastInvoiceDate: TDateTimeField;
    SpeedButton1: TSpeedButton;
    procedure btApplyFilterClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses f_info;

{$R *.DFM}

procedure TForm1.btApplyFilterClick(Sender: TObject);
begin
   lbDesc.Caption:=DBTableFilter2.DescString; { Show description string }
   lbFilter.Caption:=DBTableFilter2.FilterString; { Show filter string }
   Table1.Filter:=DBTableFilter2.FilterString; { Filter the table }
   Table1.Filtered:=true;
   Table1.Refresh;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
   fmInfo.ShowModal;
end;

end.
